<script type="text/javascript">
    $(function(){
        $("#frmChangePass").validationForm();

        var $claveActual = $("#clave_actual");
        var $nuevaClave = $("#nueva_clave");
        var $confnuevaClave = $("#conf_nueva_clave");

        $nuevaClave.attr('disabled','disabled');
        $confnuevaClave.attr('disabled','disabled');

        $claveActual.blur(function (){
            if($(this).val() != ''){
                $.ajax({
                    type: 'POST',
                    dataType: 'JSON',
                    url: '{{ path('core_seguridad_default_check_pass_actual') }}',
                    data: {
                        clave_actual: $(this).val()
                    },
                    beforeSend: function () {
                        $.processWait.show();
                    },
                    success: function (response) {
                        $.processWait.hide();
                        if (!response.status){
                            $.alert(response.message, 'danger');
                        }
                        else{
                            $nuevaClave.removeAttr('disabled').focus();
                        }
                    }
                });
            }
        })
        .keydown(function (){
            $nuevaClave.val("").attr('disabled',true);
            $confnuevaClave.val("").attr('disabled',true);
        });

        $nuevaClave.blur(function (){
            if(typeof jbox === 'object'){
                jbox.close({ignoreDelay: true});
                {#jbox.destroy();#}
            }
            if($(this).val() != ''){
                $.ajax({
                    type: 'POST',
                    dataType: 'JSON',
                    url: '{{ path('core_seguridad_default_check_new_pass') }}',
                    data: {
                        clave_actual: $claveActual.val(),
                        nueva_clave: $(this).val()
                    },
                    success: function (response) {
                        if (!response.status){
                            $.alert(response.message, 'danger');
                            $nuevaClave.val('').focus();
                        }
                        else{
                            $confnuevaClave.removeAttr('disabled').focus();
                        }
                    }
                });
            }
        })
        .keydown(function (){
            $confnuevaClave.val("").attr('disabled',true);
        });

        $.include_once('jquery.jbox',function(){
            if(typeof jbox === 'object'){
                    jbox.destroy();
                    jbox=false;
            }
            if(typeof jbox != 'object'){
                jbox = new jBox('Tooltip', {
                    id: 'nueva_clave',
                    theme: 'TooltipBorder',
                    trigger: 'keyup',
                    width: '250',
                    adjustTracker: true,
                    closeOnEsc: true,
                    closeOnClick: 'body',
                    animation: 'move',
                    attach: $('#nueva_clave'),
                    zIndex: 8000,
                    position: {
                        x: 'right',
                        y: 'center'
                    },
                    outside: 'x',
                    content: '<div><span>Políticas de seguridad para establecer una contraseña:</span><ul><li>Las contraseñas seguras contienen entre 8-16 caracteres.</li><li>No incluir palabras o nombres comunes.</li><li>Combinar letras mayúsculas, letras minúsculas, números y símbolos.</li></ul></div>'
                });
            }
        });

        var submitbutton = $('.modal-footer > .btn-primary');
        submitbutton.attr("disabled", "disabled");

        function matchPassword(isMatched) {
            if (isMatched) {
                submitbutton.addClass('unlocked').removeClass('locked').removeAttr("disabled", "disabled");
            }
            else {
                submitbutton.attr("disabled", "disabled").addClass('locked').removeClass('unlocked');
            }
        }

        $.include_once('jquery.pschecker',function(){
            $('.password-container').pschecker({ onPasswordMatch: matchPassword });
        });

    });
</script>